package ncc.vo.bd.asslinenum;

import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDateTime;
/**
 * @Description: 联行号日志
 * 
 * @author 周蓝萍 【碧桂园服务NCC】
 * @date 2020-12-03
 * @version with NCC
 */
public class AssLineNumLogVO extends SuperVO{

	private static final long serialVersionUID = 1L;
	
	private String pk_asslinenum_log;
	private String pcombinenum;//人行联行号码
	private String pcombinename;//人行联行名称
	private String countrycode;//国家
	private String address;//详细地址
	private String city;//城市
	private String swiftcode;//SWIFT
	private String tel_number;//银行电话
	private String chkme;//传递状态
	private String issuccess;//处理状态
	private UFDateTime creationtime;//创建时间
	private String creator;//创建人
	private Integer dr = Integer.valueOf(0);
	private String memo;//备注
	private String result_data_sn;//返回数据
	private String send_data_sn;//接收的data
	private String send_data_sn1;//接收的data
	private String send_data_sn2;//接收的data
	private String msg;//处理结果
	
	private String vdef1;
	private String vdef2;
	private String vdef3;
	private String vdef4;
	private UFDateTime ts;
	
	
	
	public String getSend_data_sn1() {
		return send_data_sn1;
	}

	public void setSend_data_sn1(String send_data_sn1) {
		this.send_data_sn1 = send_data_sn1;
	}

	public String getSend_data_sn2() {
		return send_data_sn2;
	}

	public void setSend_data_sn2(String send_data_sn2) {
		this.send_data_sn2 = send_data_sn2;
	}

	public String getPk_asslinenum_log() {
		return pk_asslinenum_log;
	}

	public void setPk_asslinenum_log(String pk_asslinenum_log) {
		this.pk_asslinenum_log = pk_asslinenum_log;
	}

	public String getPcombinenum() {
		return pcombinenum;
	}

	public void setPcombinenum(String pcombinenum) {
		this.pcombinenum = pcombinenum;
	}

	public String getPcombinename() {
		return pcombinename;
	}

	public void setPcombinename(String pcombinename) {
		this.pcombinename = pcombinename;
	}

	public String getCountrycode() {
		return countrycode;
	}

	public void setCountrycode(String countrycode) {
		this.countrycode = countrycode;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getSwiftcode() {
		return swiftcode;
	}

	public void setSwiftcode(String swiftcode) {
		this.swiftcode = swiftcode;
	}

	public String getTel_number() {
		return tel_number;
	}

	public void setTel_number(String tel_number) {
		this.tel_number = tel_number;
	}

	public String getChkme() {
		return chkme;
	}

	public void setChkme(String chkme) {
		this.chkme = chkme;
	}

	public String getIssuccess() {
		return issuccess;
	}

	public void setIssuccess(String issuccess) {
		this.issuccess = issuccess;
	}

	public UFDateTime getCreationtime() {
		return creationtime;
	}

	public void setCreationtime(UFDateTime creationtime) {
		this.creationtime = creationtime;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Integer getDr() {
		return dr;
	}

	public void setDr(Integer dr) {
		this.dr = dr;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}


	public String getResult_data_sn() {
		return result_data_sn;
	}

	public void setResult_data_sn(String result_data_sn) {
		this.result_data_sn = result_data_sn;
	}

	public String getSend_data_sn() {
		return send_data_sn;
	}

	public void setSend_data_sn(String send_data_sn) {
		this.send_data_sn = send_data_sn;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public String getVdef1() {
		return vdef1;
	}

	public void setVdef1(String vdef1) {
		this.vdef1 = vdef1;
	}

	public String getVdef2() {
		return vdef2;
	}

	public void setVdef2(String vdef2) {
		this.vdef2 = vdef2;
	}

	public String getVdef3() {
		return vdef3;
	}

	public void setVdef3(String vdef3) {
		this.vdef3 = vdef3;
	}

	public String getVdef4() {
		return vdef4;
	}

	public void setVdef4(String vdef4) {
		this.vdef4 = vdef4;
	}

	public UFDateTime getTs() {
		return ts;
	}

	public void setTs(UFDateTime ts) {
		this.ts = ts;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public String getPKFieldName(){
		return "pk_asslinenum_log";
	}
	
	public String getTableName(){
		return "bd_asslinenum_log";
	}
	
}
